Package com.pixelmed.apps

# Class CheckAllUIDReferencesResolve

java.lang.Object
com.pixelmed.apps.CheckAllUIDReferencesResolve

public class CheckAllUIDReferencesResolve extends Object

A class to process a set of multiple files and check that all referenced SOP Instances are present within the set.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`CheckAllUIDReferencesResolve.OurMediaImporter`

## Constructor Summary

Constructors
Constructor
Description
`CheckAllUIDReferencesResolve(String[] srcs)`
Process a set of multiple files and check that all referenced SOP Instances are present within the set.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Process a set of multiple files and check that all referenced SOP Instances are present within the set.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckAllUIDReferencesResolve

public CheckAllUIDReferencesResolve(String[] srcs) throws FileNotFoundException, IOException, DicomException

Process a set of multiple files and check that all referenced SOP Instances are present within the set.

Parameters:
  `srcs` -
Throws:
  `FileNotFoundException`
  `IOException`
  `DicomException`

## Method Details

### main

public static void main(String[] arg)

Process a set of multiple files and check that all referenced SOP Instances are present within the set.

Parameters:
  `arg` - one or more source folders or DICOMDIRs